### Function

# Gdk ToplevelLayoutnew

#### Declaration [src]

    GdkToplevelLayout*
    gdk_toplevel_layout_new (
      void
    )

#### Description [src]

Create a toplevel layout description.

Used together with `gdk_toplevel_present()` to describe how a toplevel surface should be placed and behave on-screen.

The size is in ”application pixels”, not ”device pixels” (see gdk_surface_get_scale_factor()).

#### Return value

Type: `GdkToplevelLayout`

Newly created instance of `GdkToplevelLayout`

The caller of the function takes ownership of the data, and is responsible for freeing it.